%{
forward_fdtd.m (chapter 3.3.1)
%}

clearvars;
close all;
tic;

% input parameters
Parm = input_parameter();

% read phantom file
fn_in = 'mediumLabelList_Reso1mm_Case1.txt';
[Parm, Epsr, Sigm] = read_phantom(fn_in, Parm);

% output OpenFDTD data
fn_out = 'matlab.ofd';
output_ofd(fn_out, Parm, Epsr, Sigm);
toc; tic;

% calculation (OpenFDTD)
%system('..\OpenFDTD\ofd_ID32.exe -n 8 -ev -nogeom matlab.ofd');  % CPU
system('..\OpenFDTD\ofd_cuda_ID32.exe -ev -nogeom matlab.ofd');  % GPU
system('..\OpenFDTD\ev2d.exe &');  % 2D
%

toc;
%end
