%% input parameters
function Parm = input_parameter()
%%
% (1)周囲 (2)脂肪 (3)乳腺 (4)カップ (5)がん (6)皮膚
Parm.epsr = [5.0  6.5 40.0 9.4 54.0 40.0];
Parm.sigm = [0.1  0.2  1.0   0  1.3  1.0];
Parm.epsr(1) = Parm.epsr(2);  % background=fat
Parm.sigm(1) = Parm.sigm(2);
Parm.epsr(4) = Parm.epsr(2);  % cup=fat
Parm.sigm(4) = Parm.sigm(2);

% frequency [Hz]
Parm.freq = 2.0e9;

% constant
C = 2.99792458e8;
Parm.mu0 = 4 * pi * 1e-7;
Parm.eps0 = 1 / (C^2 * Parm.mu0);
end
